# Class EvmWormholeCore<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends PlatformToChains<EvmPlatformType>

#### Hierarchy

- EvmWormholeCore

#### Implements

- WormholeCore<N, EvmPlatformType, C>

- Defined in core.ts:30

#####
Index

### Constructors

constructor

### Properties

chain
chainId
contracts
core
coreAddress
coreIface
network
provider

### Methods

createUnsignedTx
getMessageFee
parseTransaction
publishMessage
verifyMessage
fromRpc

## Constructors

### `Private` constructor

- new EvmWormholeCore<N, C>(network, chain, provider, contracts): EvmWormholeCore<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### network: N

  - ##### chain: C

  - ##### provider: Provider

  - ##### contracts: Contracts

  #### Returns EvmWormholeCore<N, C>

  - Defined in core.ts:42

## Properties

### `Readonly` chain

chain: C

- Defined in core.ts:44

### `Readonly` chainId

chainId: bigint

- Defined in core.ts:35

### `Readonly` contracts

contracts: Contracts

- Defined in core.ts:46

### `Readonly` core

core: Implementation

- Defined in core.ts:39

### `Readonly` coreAddress

coreAddress: string

- Defined in core.ts:37

### `Readonly` coreIface

coreIface: ImplementationInterface

- Defined in core.ts:40

### `Readonly` network

network: N

- Defined in core.ts:43

### `Readonly` provider

provider: Provider

- Defined in core.ts:45

## Methods

### `Private` createUnsignedTx

- createUnsignedTx(txReq, description, parallelizable?): EvmUnsignedTransaction<N, C>

- #### Parameters

  - ##### txReq: TransactionRequest

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns EvmUnsignedTransaction<N, C>

  - Defined in core.ts:137

### getMessageFee

- getMessageFee(): Promise<bigint>

- #### Returns Promise<bigint>

  Implementation of WormholeCore.getMessageFee

  - Defined in core.ts:65

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  Implementation of WormholeCore.parseTransaction

  - Defined in core.ts:111

### publishMessage

- publishMessage(sender, message, nonce, consistencyLevel): AsyncGenerator<EvmUnsignedTransaction<N, C>, void, unknown>

- #### Parameters

  - ##### sender: AnyEvmAddress

  - ##### message: Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns AsyncGenerator<EvmUnsignedTransaction<N, C>, void, unknown>

  Implementation of WormholeCore.publishMessage

  - Defined in core.ts:87

### verifyMessage

- verifyMessage(sender, vaa): AsyncGenerator<never, void, unknown>

- #### Parameters

  - ##### sender: AnyEvmAddress

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<never, void, unknown>

  Implementation of WormholeCore.verifyMessage

  - Defined in core.ts:107

### `Static` fromRpc

- fromRpc<N>(provider, config): Promise<EvmWormholeCore<N, "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### provider: Provider

  - ##### config: ChainsConfig<N, "Evm">

  #### Returns Promise<EvmWormholeCore<N, "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">>

  - Defined in core.ts:69

Generated using TypeDoc